searchData={"items":[{"type":"module","title":"Apple","doc":"Utilities for building Apple SDKs.\n\n> #### Note {: .info}\n>\n> This is not a one-stop, comprehensive SDK. As the description implies, it\n> provides utilities for building your own minimalistic and focused SDK.\n>\n> Read more about this idea at [Ship utilities for building platform SDKs](https://github.com/cozy-elixir/proposals/blob/main/ship-utilities-for-building-platform-sdks.md).","ref":"Apple.html"},{"type":"module","title":"Apple.AppStoreServerAPI","doc":"Utilities for [App Store Server API](https://developer.apple.com/documentation/appstoreserverapi).","ref":"Apple.AppStoreServerAPI.html"},{"type":"function","title":"Apple.AppStoreServerAPI.build_auth_token!/4","doc":"Builds a token to authorize HTTP requests.\n\nTo get the value of arguments, such as `issuer_id`, `key_id` and so on,\nplease read [Generating JSON Web Tokens for API requests](https://developer.apple.com/documentation/appstoreserverapi/generating_json_web_tokens_for_api_requests).\n\nAfter building it, use it in the `Authorization` header like this:\n\n```text\nAuthorization: Bearer  \n```","ref":"Apple.AppStoreServerAPI.html#build_auth_token!/4"},{"type":"type","title":"Apple.AppStoreServerAPI.bundle_id/0","doc":"The app's bundle ID, like `\"com.example.demo\"`.","ref":"Apple.AppStoreServerAPI.html#t:bundle_id/0"},{"type":"type","title":"Apple.AppStoreServerAPI.issuer_id/0","doc":"The issuer ID, like `\"57246542-96fe-1a63-e053-0824d011072a\"`","ref":"Apple.AppStoreServerAPI.html#t:issuer_id/0"},{"type":"type","title":"Apple.AppStoreServerAPI.key_id/0","doc":"The private key ID, like `\"2X9R4HXF34\"`.","ref":"Apple.AppStoreServerAPI.html#t:key_id/0"},{"type":"type","title":"Apple.AppStoreServerAPI.private_key/0","doc":"The private key associated with the `key_id`.\n\nIt's in PEM format, like:\n\n```text\n-----BEGIN PRIVATE KEY-----\nxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\n...\n-----END PRIVATE KEY-----\n```","ref":"Apple.AppStoreServerAPI.html#t:private_key/0"},{"type":"module","title":"Apple.Signed","doc":"Utilities for handling signed payload.","ref":"Apple.Signed.html"},{"type":"function","title":"Apple.Signed.verify/2","doc":"Verifies a signed payload.\n\nSigned payloads are used in the responses of:\n\n  * [App Store Server API](https://developer.apple.com/documentation/appstoreserverapi)\n  * [App Store Server Notifications](https://developer.apple.com/documentation/appstoreservernotifications)\n  * ...","ref":"Apple.Signed.html#verify/2"},{"type":"function","title":"References - Apple.Signed.verify/2","doc":"* https://github.com/potatosalad/erlang-jose/issues/63#issuecomment-1038751471\n  * https://andrealeopardi.com/posts/verifying-apple-jwts/","ref":"Apple.Signed.html#verify/2-references"},{"type":"type","title":"Apple.Signed.payload/0","doc":"The verified payload extracted from signed payload.","ref":"Apple.Signed.html#t:payload/0"},{"type":"type","title":"Apple.Signed.root_cert/0","doc":"The root certificate that Apple offers on [Apple PKI](https://www.apple.com/certificateauthority/).\n\nIt's fine to use _Apple Root CA - G3 Root_.","ref":"Apple.Signed.html#t:root_cert/0"},{"type":"type","title":"Apple.Signed.signed_payload/0","doc":"A cryptographically signed payload, in JSON Web Signature (JWS) format.","ref":"Apple.Signed.html#t:signed_payload/0"},{"type":"module","title":"Apple.WeatherKitRestAPI","doc":"Utilities for [WeatherKit REST API](https://developer.apple.com/documentation/weatherkitrestapi).","ref":"Apple.WeatherKitRestAPI.html"},{"type":"function","title":"Apple.WeatherKitRestAPI.build_auth_token!/4","doc":"Builds a token to authorize HTTP requests.\n\nTo get the value of arguments, such as `team_id`, `key_id` and so on,\nplease read [Request authentication for WeatherKit REST API](https://developer.apple.com/documentation/weatherkitrestapi/request_authentication_for_weatherkit_rest_api).\n\nAfter building it, use it in the `Authorization` header like this:\n\n```text\nAuthorization: Bearer  \n```","ref":"Apple.WeatherKitRestAPI.html#build_auth_token!/4"},{"type":"type","title":"Apple.WeatherKitRestAPI.key_id/0","doc":"The private key ID, like `\"2Y9R5HMY68\"`.","ref":"Apple.WeatherKitRestAPI.html#t:key_id/0"},{"type":"type","title":"Apple.WeatherKitRestAPI.private_key/0","doc":"The private key associated with the `key_id`.\n\nIt's in PEM format, like:\n\n```text\n-----BEGIN PRIVATE KEY-----\nxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\n...\n-----END PRIVATE KEY-----\n```","ref":"Apple.WeatherKitRestAPI.html#t:private_key/0"},{"type":"type","title":"Apple.WeatherKitRestAPI.service_id/0","doc":"The registered service ID, like `\"com.example.weatherkit-client\"`.","ref":"Apple.WeatherKitRestAPI.html#t:service_id/0"},{"type":"type","title":"Apple.WeatherKitRestAPI.team_id/0","doc":"The team ID, like `\"6MPDV0UYYX\"`.","ref":"Apple.WeatherKitRestAPI.html#t:team_id/0"},{"type":"extras","title":"Apple","doc":"# Apple\n\n[![CI](https://github.com/cozy-elixir/apple/actions/workflows/ci.yml/badge.svg)](https://github.com/cozy-elixir/apple/actions/workflows/ci.yml)\n[![Hex.pm](https://img.shields.io/hexpm/v/apple.svg)](https://hex.pm/packages/apple)\n\nUtilities for building Apple SDKs.","ref":"readme.html"},{"type":"extras","title":"Installation - Apple","doc":"Add `:apple` to the list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:apple,  }\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Apple","doc":"For more information, see the [documentation](https://hexdocs.pm/apple).","ref":"readme.html#usage"},{"type":"extras","title":"License - Apple","doc":"[Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}